## org.codehaus.groovy.grails.web.servlet.mvc.exceptions
Class ControllerExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.servlet.mvc.exceptions.GrailsMVCException
                          org.codehaus.groovy.grails.web.servlet.mvc.exceptions.ControllerExecutionException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CannotRedirectException

    public class ControllerExecutionException

extends GrailsMVCException

Throw when an exception occurs during controller execution

Since:
  0.2 Created Oct 27, 2005
Author:
  Graeme Rocher
See Also:
  Serialized Form

Constructor Summary
`ControllerExecutionException()`
`ControllerExecutionException(String arg0)`
`ControllerExecutionException(String arg0, Throwable arg1)`
`ControllerExecutionException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ControllerExecutionException

    public ControllerExecutionException()

### ControllerExecutionException

    public ControllerExecutionException(String arg0,
                                        Throwable arg1)

### ControllerExecutionException

    public ControllerExecutionException(String arg0)

### ControllerExecutionException

    public ControllerExecutionException(Throwable arg0)

Copyright (c) 2005-2009 The Grails project